Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.apps
Class EnvironmentalProfileFactory

    java.lang.Object
      org.apache.fop.apps.EnvironmentalProfileFactory

    public final class EnvironmentalProfileFactory

extends java.lang.Object

Creates an `EnvironmentProfile` that sets the environment in which a FOP instance is run.

Method Summary
`static EnvironmentProfile` | `createDefault(java.net.URI defaultBaseUri, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Creates the default environment that FOP is invoked in.
`static EnvironmentProfile` | `createRestrictedIO(java.net.URI defaultBaseUri, org.apache.xmlgraphics.io.ResourceResolver resourceResolver)` Creates an IO-restricted environment for FOP by disabling some of the environment-specific functionality within FOP.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDefault

    public static EnvironmentProfile createDefault(java.net.URI defaultBaseUri,
                                                   org.apache.xmlgraphics.io.ResourceResolver resourceResolver)

  Creates the default environment that FOP is invoked in. This default profile has no operational restrictions for FOP.

  Parameters:
    `defaultBaseUri` - the default base URI for resolving resource URIs
    `resourceResolver` - the resource resolver
  Returns:
    the environment profile

### createRestrictedIO

    public static EnvironmentProfile createRestrictedIO(java.net.URI defaultBaseUri,
                                                        org.apache.xmlgraphics.io.ResourceResolver resourceResolver)

  Creates an IO-restricted environment for FOP by disabling some of the environment-specific functionality within FOP.

  Parameters:
    `defaultBaseUri` - the default base URI for resolving resource URIs
    `resourceResolver` - the resource resolver
  Returns:
    the environment profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.